<?php
/**
 * RestCategoriesController
 *
 * Part of the integration
 *
 * @package  Okiano
 */

namespace Okiano;

defined( 'ABSPATH' ) || exit;

/**
 * REST_Categories_Controller
 */
class REST_Categories_Controller extends WC_REST_Categories_Controller_Compat {
	/**
	 * Namespace
	 *
	 * @var string
	 */
	protected $namespace = 'wc-okiano/v1';

	/**
	 * Register_routes
	 *
	 * @return void
	 */
	public function register_routes() {
		register_rest_route(
			$this->namespace,
			'/products/categories/permalink',
			array(
				array(
					'methods'             => \WP_REST_Server::READABLE,
					'callback'            => array( $this, 'get_category_permalink' ),
					'permission_callback' => array( $this, 'get_items_permissions_check' ),
				),
			)
		);
	}

	/**
	 * Get_category_permalink
	 *
	 * @param mixed $request a required parameter.
	 *
	 * @return mixed
	 */
	public function get_category_permalink( $request ) {
		$cat_id = intval( $request['id'] );

		$permalink = get_term_link( $cat_id, 'product_cat' );

		$response = rest_ensure_response( $permalink );

		return $response;
	}
}
