<?php
/**
 * Dashboard
 *
 * Part of the integration
 *
 * @package  Okiano
 */

defined( 'ABSPATH' ) || exit; ?>

<div class="okn-wrapper">
	<h2>Google Ads for WooCommerce</h2>
	<h4>People are looking for your products. We will help them find you.</h4>

	<div class="okn-container">
		<div class="okn-head">
			<img src="<?php echo esc_url( plugin_dir_url( __FILE__ ) . 'okiano-google-ads-transparent.png' ); ?>" />
		</div>
		<div class="okn-body">
			<h3>Your store is connected.</h3>

			<span class="okn-big">Your WooCommerce store is connected to your Okiano Account</span>
			<br>
			<hr>
			<br>
			<a class="okn-link" target="_blank" href="<?php echo esc_url( OKN_WC_WOOOKIANO_BASE_URL . 'dashboard/store' ); ?>">Your Dashboard</a>
			<br>
			<span class="okn-big">Your WooCommerce store is connected to your Okiano Account</span>
		
			<br><br><br>

			<a class="okn-link" target="_blank" href="<?php echo esc_url( OKN_WC_WOOOKIANO_BASE_URL . 'dashboard/google-ads' ); ?>">Campaign Performance</a>
			<br>
			<span class="okn-big">View your campaign performance and control your budget</span>

			<br><br><br>

			<a class="okn-link" target="_blank" href="<?php echo esc_url( OKN_WC_SUPPORT_LINK ); ?>">Contact Support</a>
			
		</div>
	</div>
</div>

<script>
	jQuery(document).ready(function() {
		// Disable setting inputs, and hide submit button
		jQuery(".advanced-settings input[type=text]").prop("disabled", true);
		jQuery("#submit").prop("disabled", true).hide();

		jQuery("#enable-settings-edit").click(function() {
			jQuery(".advanced-settings input[type=text]").prop("disabled", false);
			jQuery("#submit").prop("disabled", false).show();

			// Hide the button itself
			jQuery(this).hide();
		});
	});
</script>
