<?php

/**
 * Okiano Advertising for Google Ads
 *
 * @link              https://www.okianomarketing.com/
 * @since             1.0.0
 * @package           Okiano_Marketing
 *
 * Woo:
 * WC requires at least: 2.2
 * WC tested up to: 2.3
 *
 * @wordpress-plugin
 * Plugin Name:       Okiano Advertising for Google Ads
 * Plugin URI:        https://www.okianomarketing.com/
 * Description:       Automated eCommerce Advertising on Google for WooCommerce stores.
 *                    Okiano Marketing is an Automated eCommerce Advertising technology that boosts sales for WooCommerce retails and advertising Experts.
 *                    By creating excellent Google Ads Campaigns and optimizing the Keywords->Ads->Store Page experience, we achieve High Quality-Score and Low Click Costs for highly targeted Google Ads that bring customers that are looking for your * products to your WooCommerce Store.
 *                    With specially developed AI and Machine Learning technology, Okiano makes better Google Ads, elevates your store visibility to the first page, and helps you become 5X more profitable.

 * Version:           1.0.2
 * Author:            Okiano Marketing
 * Author URI:        https://www.okianomarketing.com/okiano-wordpress-plugin
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       okiano-marketing
 */

if ( ! defined( 'WPINC' ) ) {
	die;
}
// don't load directly
defined( 'ABSPATH' ) || die( '-1' );

define( 'OKIANO_MARKETING_VERSION', '1.0.2' );
define( 'OKN_WC_PLUGIN_FILE', __FILE__ );
define( 'OKN_WC_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );
define( 'OKN_WC_PLUGIN_URL', plugin_dir_url( __FILE__ ) );
define( 'OKN_WC_PLUGIN_REL_PATH', basename( dirname( __FILE__ ) ) );
define( 'OKN_WC_WOOOKIANO_BASE_URL', 'https://app.okianomarketing.com/' );
define( 'OKN_WC_AUTH_CALLBACK_URL', 'https://app.okianomarketing.com/woocommerce/auth' );
define( 'OKN_WC_AUTH_APP_NAME', 'Google Ads for WooCommerce' );

define( 'OKN_WC_INTEGRATION_PAGE_ID', 'okn_wcintegration' );

define( 'OKN_WC_ACTION_SAVE_ACCOUNT', 'oknwc_saveaccount' );
define( 'OKN_WC_ACTION_CLEAR_DATA', 'oknwc_cleardata' );
define( 'OKN_WC_ACTION_DISMISS_NOTICE', 'oknwc_dismissnotice' );
define( 'OKN_WC_ACTION_CHECK_ACCOUNT', 'oknwc_checkaccount' );

define( 'OKN_WC_TRANSIENT_AUTH_REDIRECT', 'okn_wc_activation_redirect' );

define( 'OKN_WC_WELCOME_MESSAGE', 'okn_wc_welcome_message' );
define( 'OKN_WC_BOOTSTRAP_MESSAGE', 'okn_wc_bootstrap_message' );

define( 'OKN_WC_SUPPORT_LINK', 'https://www.okianomarketing.com/getting-started/#support' );

require dirname( __FILE__ ) . '/vendor/autoload.php';

/**
 * Okiano_wc_plugin
 *
 * @return mixed
 */


function okiano_wc_plugin() {
	static $plugin;

	if ( ! isset( $plugin ) ) {
		$plugin = new Okiano\Plugin();
	}

	return $plugin;
}

okiano_wc_plugin()->start();
